v1.0

get

/ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/forms/{formId}/subjects/{subjectId}/dataelements

Filters and retrieves data elements for form data in an event. This supports the start date for Integration Hub. If a start date is provided, it returns the snapshot of data elements just before start date. In the case when the current query parameter is set to true, this will return the latest data.

Request

Path Parameters
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example:
    40DB4EF4847849CCB24EFCCB71CDA436
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    10F75668189F422F9A461A315D211111
Query Parameters
  • If set to true, it returns the current data. Else, it returns the data just before the visit is complete.
    Example:
    true
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ADF5A7800A954FA5B831E7B6B9CA39A9
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example:
    1
  • The date and time for which you want to retrieve the data values. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
    Example:
    25-Oct-2023 14:30:15.123

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto50
Type: object
Data element extension adding dataFlag identifier inherited by higher versions
Show Source
  • Minimum Length: 0
    Maximum Length: 2048
    Comment for the data element change
    Example: Captured by device
  • Unique Data flag identifier(UUID, 32-character uppercase hexadecimal string).
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Date-time value in UTC
    Example: 2025-10-16T14:30:31.892Z
  • Day part of date
    Example: 16
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ADF5A7800A954FA5B831E7B6B9CA39A9
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 1
  • Numeric decimal value
    Example: 12.34
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example: 40DB4EF4847849CCB24EFCCB71CDA436
  • Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: B6E0C7D5A1F3428C8B8B6A77C5E9D4AA
  • Hour part of time
    Example: 14
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the data element
    Example: 1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.
    Example: DEADBEEFDEADBEEFDEADBEEFDEADBEEF
  • Minimum Length: 0
    Maximum Length: 64
    Measurement unit
    Example: mg/dL
  • Minute part of time
    Example: 30
  • Month part of date
    Example: 10
  • Identifier of normalized unit
    Example: A78AD8C31CD843CD8B847C06C0420FF5
  • Minimum Length: 0
    Maximum Length: 100
    Normalized value if applicable
    Example: 120
  • Numeric integer value
    Example: 120
  • Audit trail field that represents the version number of the data.
    Example: 14
  • An identifier representing the system, or user that initiated the transaction (UUID, 32-character uppercase hexadecimal string).
    Example: FEDCBA9876543210FEDCBA9876543210
  • Minimum Length: 0
    Maximum Length: 255
    Reason associated with the data element change
    Example: Initial entry
  • Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.
    Example: 1
  • Second part of time
    Example: 31
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: ABCDEF1234567890ABCDEF1234567890
  • Minimum Length: 0
    Maximum Length: 100
    Study name
    Example: STUDY-ABC
  • Minimum Length: 0
    Maximum Length: 100
    String representing the version of the study. Helps track changes in form or study design.
    Example: 3.0.0.1
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: 10F75668189F422F9A461A315D211111
  • targets
    List of display or rule targets associated with this data element
  • The date and time at which the transaction processing completed.
    Example: 2025-10-16T14:30:31.892Z
  • The date and time at which the transaction processing began.
    Example: 2025-10-16T14:30:31.892Z
  • Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.
  • Minimum Length: 0
    Maximum Length: 32767
    Validation failure details if any
    Example: Incorrect values not allowed
  • Minimum Length: 0
    Maximum Length: 25
    Validation status of the data element. The validation status can be null or SUCCESS.
    Example: SUCCESS
  • Minimum Length: 0
    Maximum Length: 4000
    Raw value captured for the item
    Example: 120
  • Variable identifier (UUID, 32-character uppercase hexadecimal string) in uppercase hex format.
    Example: 0123456789ABCDEF0123456789ABCDEF
  • Minimum Length: 0
    Maximum Length: 100
    Vendor code if provided
    Example: VENDOR1
  • The timestamp marking the beginning of the validity period for this record version within the system.
    Example: 2025-10-16T14:30:31.892Z
  • Year part of date
    Example: 2025
Nested Schema : targets
Type: array
List of display or rule targets associated with this data element
Show Source
Example:
[
    "93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE5",
    "93CC828113AC439181071CB44D2C6FE5.93CC828113AC439181071CB44D2C6FE7"
]
Examples

400 Response

Bad request.
Body ()
Root Schema : RestResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top